---
title: V1
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Images](https://developers.cloudflare.com/api/python/resources/images)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# V1

##### [List images](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/methods/list)

Deprecated

images.v1.list(V1ListParams\*\*kwargs) -> SyncV4PagePagination\[[V1ListResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20v1_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/images/v1

##### [Image details](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/methods/get)

images.v1.get(strimage\_id, V1GetParams\*\*kwargs) -> [Image](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)>)

GET/accounts/{account\_id}/images/v1/{image\_id}

##### [Upload an image](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/methods/create)

images.v1.create(V1CreateParams\*\*kwargs) -> [Image](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)>)

POST/accounts/{account\_id}/images/v1

##### [Update image](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/methods/edit)

images.v1.edit(strimage\_id, V1EditParams\*\*kwargs) -> [Image](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)>)

PATCH/accounts/{account\_id}/images/v1/{image\_id}

##### [Delete image](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/methods/delete)

images.v1.delete(strimage\_id, V1DeleteParams\*\*kwargs) -> [V1DeleteResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/images/v1/{image\_id}

##### ModelsExpand Collapse

<details>

<summary>

class Image: …

</summary>

id: Optional\[str]

Image unique identifier.

maxLength32

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

creator: Optional\[str]

Can set the creator field with an internal user ID.

maxLength1024

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20creator">Link to this property</a>

filename: Optional\[str]

Image file name.

maxLength255

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20filename">Link to this property</a>

meta: Optional\[object]

User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

require\_signed\_urls: Optional\[bool]

Indicates whether the image can be a accessed only using it’s UID. If set to true, a signed token needs to be generated with a signing key to view the image.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20requireSignedURLs">Link to this property</a>

uploaded: Optional\[datetime]

When the media item was uploaded.

formatdate-time

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20uploaded">Link to this property</a>

variants: Optional\[List\[str]]

Object specifying available variants for an image.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20variants">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)>)

<details>

<summary>

class V1ListResponse: …

</summary>

<details>

<summary>

images: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)">Image</a>]]

</summary>

id: Optional\[str]

Image unique identifier.

maxLength32

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

creator: Optional\[str]

Can set the creator field with an internal user ID.

maxLength1024

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20creator">Link to this property</a>

filename: Optional\[str]

Image file name.

maxLength255

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20filename">Link to this property</a>

meta: Optional\[object]

User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

require\_signed\_urls: Optional\[bool]

Indicates whether the image can be a accessed only using it’s UID. If set to true, a signed token needs to be generated with a signing key to view the image.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20requireSignedURLs">Link to this property</a>

uploaded: Optional\[datetime]

When the media item was uploaded.

formatdate-time

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20uploaded">Link to this property</a>

variants: Optional\[List\[str]]

Object specifying available variants for an image.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20variants">Link to this property</a>

</details>

<a href="#(resource)%20images.v1%20%3E%20(model)%20v1_list_response%20%3E%20(schema)%20%3E%20(property)%20images">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1%20%3E%20(model)%20v1_list_response%20%3E%20(schema)>)

<details>

<summary>

Union\[str, object]

</summary>

One of the following:

str

<a href="#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

object

<a href="#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)>)

#### V1Keys

##### [List Signing Keys](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/keys/methods/list)

images.v1.keys.list(KeyListParams\*\*kwargs) -> [KeyListResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key_list_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/images/v1/keys

##### [Create a new Signing Key](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/keys/methods/update)

images.v1.keys.update(strsigning\_key\_name, KeyUpdateParams\*\*kwargs) -> [KeyUpdateResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key_update_response%20%3E%20(schema)>)

PUT/accounts/{account\_id}/images/v1/keys/{signing\_key\_name}

##### [Delete Signing Key](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/keys/methods/delete)

images.v1.keys.delete(strsigning\_key\_name, KeyDeleteParams\*\*kwargs) -> [KeyDeleteResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/images/v1/keys/{signing\_key\_name}

##### ModelsExpand Collapse

<details>

<summary>

class Key: …

</summary>

name: Optional\[str]

Key name.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

value: Optional\[str]

Key value.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)>)

<details>

<summary>

class KeyListResponse: …

</summary>

<details>

<summary>

keys: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)">Key</a>]]

</summary>

name: Optional\[str]

Key name.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

value: Optional\[str]

Key value.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key_list_response%20%3E%20(schema)%20%3E%20(property)%20keys">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.keys%20%3E%20(model)%20key_list_response%20%3E%20(schema)>)

<details>

<summary>

class KeyUpdateResponse: …

</summary>

<details>

<summary>

keys: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)">Key</a>]]

</summary>

name: Optional\[str]

Key name.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

value: Optional\[str]

Key value.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key_update_response%20%3E%20(schema)%20%3E%20(property)%20keys">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.keys%20%3E%20(model)%20key_update_response%20%3E%20(schema)>)

<details>

<summary>

class KeyDeleteResponse: …

</summary>

<details>

<summary>

keys: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)">Key</a>]]

</summary>

name: Optional\[str]

Key name.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

value: Optional\[str]

Key value.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key_delete_response%20%3E%20(schema)%20%3E%20(property)%20keys">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.keys%20%3E%20(model)%20key_delete_response%20%3E%20(schema)>)

#### V1Stats

##### [Images usage statistics](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/stats/methods/get)

images.v1.stats.get(StatGetParams\*\*kwargs) -> [Stat](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.stats%20%3E%20(model)%20stat%20%3E%20(schema)>)

GET/accounts/{account\_id}/images/v1/stats

##### ModelsExpand Collapse

<details>

<summary>

class Stat: …

</summary>

<details>

<summary>

count: Optional\[Count]

</summary>

allowed: Optional\[float]

Cloudflare Images allowed usage.

<a href="#(resource)%20images.v1.stats%20%3E%20(model)%20stat%20%3E%20(schema)%20%3E%20(property)%20count%20%3E%20(property)%20allowed">Link to this property</a>

current: Optional\[float]

Cloudflare Images current usage.

<a href="#(resource)%20images.v1.stats%20%3E%20(model)%20stat%20%3E%20(schema)%20%3E%20(property)%20count%20%3E%20(property)%20current">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.stats%20%3E%20(model)%20stat%20%3E%20(schema)%20%3E%20(property)%20count">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.stats%20%3E%20(model)%20stat%20%3E%20(schema)>)

#### V1Variants

##### [List variants](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/variants/methods/list)

images.v1.variants.list(VariantListParams\*\*kwargs) -> [Variant](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)>)

GET/accounts/{account\_id}/images/v1/variants

##### [Variant details](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/variants/methods/get)

images.v1.variants.get(strvariant\_id, VariantGetParams\*\*kwargs) -> [VariantGetResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/images/v1/variants/{variant\_id}

##### [Create a variant](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/variants/methods/create)

images.v1.variants.create(VariantCreateParams\*\*kwargs) -> [VariantCreateResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/images/v1/variants

##### [Update a variant](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/variants/methods/edit)

images.v1.variants.edit(strvariant\_id, VariantEditParams\*\*kwargs) -> [VariantEditResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)>)

PATCH/accounts/{account\_id}/images/v1/variants/{variant\_id}

##### [Delete a variant](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/variants/methods/delete)

images.v1.variants.delete(strvariant\_id, VariantDeleteParams\*\*kwargs) -> [VariantDeleteResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1.variants%20%3E%20(model)%20variant_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/images/v1/variants/{variant\_id}

##### ModelsExpand Collapse

<details>

<summary>

class Variant: …

</summary>

<details>

<summary>

variants: Optional\[Variants]

</summary>

<details>

<summary>

hero: Optional\[VariantsHero]

</summary>

id: str

maxLength99

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

options: VariantsHeroOptions

Allows you to define image resizing sizes for different use cases.

</summary>

<details>

<summary>

fit: Literal\["scale-down", "contain", "cover", 2 more]

The fit property describes how the width and height dimensions should be interpreted.

</summary>

One of the following:

"scale-down"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%200">Link to this property</a>

"contain"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%201">Link to this property</a>

"cover"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%202">Link to this property</a>

"crop"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%203">Link to this property</a>

"pad"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20fit">Link to this property</a>

height: float

Maximum height in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20height">Link to this property</a>

<details>

<summary>

metadata: Literal\["keep", "copyright", "none"]

What EXIF data should be preserved in the output image.

</summary>

One of the following:

"keep"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%200">Link to this property</a>

"copyright"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%201">Link to this property</a>

"none"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20metadata">Link to this property</a>

width: float

Maximum width in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options%20%3E%20(property)%20width">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20options">Link to this property</a>

never\_require\_signed\_urls: Optional\[bool]

Indicates whether the variant can access an image without a signature, regardless of image access control.

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero%20%3E%20(property)%20neverRequireSignedURLs">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants%20%3E%20(property)%20hero">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)%20%3E%20(property)%20variants">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.variants%20%3E%20(model)%20variant%20%3E%20(schema)>)

<details>

<summary>

class VariantGetResponse: …

</summary>

<details>

<summary>

variant: Optional\[Variant]

</summary>

id: str

maxLength99

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

options: VariantOptions

Allows you to define image resizing sizes for different use cases.

</summary>

<details>

<summary>

fit: Literal\["scale-down", "contain", "cover", 2 more]

The fit property describes how the width and height dimensions should be interpreted.

</summary>

One of the following:

"scale-down"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%200">Link to this property</a>

"contain"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%201">Link to this property</a>

"cover"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%202">Link to this property</a>

"crop"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%203">Link to this property</a>

"pad"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit">Link to this property</a>

height: float

Maximum height in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20height">Link to this property</a>

<details>

<summary>

metadata: Literal\["keep", "copyright", "none"]

What EXIF data should be preserved in the output image.

</summary>

One of the following:

"keep"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%200">Link to this property</a>

"copyright"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%201">Link to this property</a>

"none"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata">Link to this property</a>

width: float

Maximum width in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20width">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options">Link to this property</a>

never\_require\_signed\_urls: Optional\[bool]

Indicates whether the variant can access an image without a signature, regardless of image access control.

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20neverRequireSignedURLs">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)%20%3E%20(property)%20variant">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.variants%20%3E%20(model)%20variant_get_response%20%3E%20(schema)>)

<details>

<summary>

class VariantCreateResponse: …

</summary>

<details>

<summary>

variant: Optional\[Variant]

</summary>

id: str

maxLength99

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

options: VariantOptions

Allows you to define image resizing sizes for different use cases.

</summary>

<details>

<summary>

fit: Literal\["scale-down", "contain", "cover", 2 more]

The fit property describes how the width and height dimensions should be interpreted.

</summary>

One of the following:

"scale-down"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%200">Link to this property</a>

"contain"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%201">Link to this property</a>

"cover"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%202">Link to this property</a>

"crop"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%203">Link to this property</a>

"pad"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit">Link to this property</a>

height: float

Maximum height in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20height">Link to this property</a>

<details>

<summary>

metadata: Literal\["keep", "copyright", "none"]

What EXIF data should be preserved in the output image.

</summary>

One of the following:

"keep"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%200">Link to this property</a>

"copyright"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%201">Link to this property</a>

"none"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata">Link to this property</a>

width: float

Maximum width in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20width">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options">Link to this property</a>

never\_require\_signed\_urls: Optional\[bool]

Indicates whether the variant can access an image without a signature, regardless of image access control.

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20neverRequireSignedURLs">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)%20%3E%20(property)%20variant">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.variants%20%3E%20(model)%20variant_create_response%20%3E%20(schema)>)

<details>

<summary>

class VariantEditResponse: …

</summary>

<details>

<summary>

variant: Optional\[Variant]

</summary>

id: str

maxLength99

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

options: VariantOptions

Allows you to define image resizing sizes for different use cases.

</summary>

<details>

<summary>

fit: Literal\["scale-down", "contain", "cover", 2 more]

The fit property describes how the width and height dimensions should be interpreted.

</summary>

One of the following:

"scale-down"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%200">Link to this property</a>

"contain"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%201">Link to this property</a>

"cover"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%202">Link to this property</a>

"crop"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%203">Link to this property</a>

"pad"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20fit">Link to this property</a>

height: float

Maximum height in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20height">Link to this property</a>

<details>

<summary>

metadata: Literal\["keep", "copyright", "none"]

What EXIF data should be preserved in the output image.

</summary>

One of the following:

"keep"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%200">Link to this property</a>

"copyright"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%201">Link to this property</a>

"none"

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20metadata">Link to this property</a>

width: float

Maximum width in image pixels.

minimum1

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options%20%3E%20(property)%20width">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20options">Link to this property</a>

never\_require\_signed\_urls: Optional\[bool]

Indicates whether the variant can access an image without a signature, regardless of image access control.

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant%20%3E%20(property)%20neverRequireSignedURLs">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)%20%3E%20(property)%20variant">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.variants%20%3E%20(model)%20variant_edit_response%20%3E%20(schema)>)

<details>

<summary>

Union\[str, object]

</summary>

One of the following:

str

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_delete_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

object

<a href="#(resource)%20images.v1.variants%20%3E%20(model)%20variant_delete_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.variants%20%3E%20(model)%20variant_delete_response%20%3E%20(schema)>)

#### V1Blobs

##### [Download image](https://developers.cloudflare.com/api/python/resources/images/subresources/v1/subresources/blobs/methods/get)

images.v1.blobs.get(strimage\_id, BlobGetParams\*\*kwargs) -> BinaryResponseContent

GET/accounts/{account\_id}/images/v1/{image\_id}/blob